<?php
/***************************************************************************
 *			  blocks_imp_calendar.php
 *			    -------------------
 *   begin          : Saturday, March 20, 2004
 *   copyright      : (C) 2004 masterdavid - Ronald John David
 *   website        : http://www.integramod.com
 *   email          : webmaster@integramod.com
 *
 *   note: removing the original copyright is illegal even you have modified
 *	 the code.  Just append yours if you have modified it.
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);
//define('MINI_CAL_FLAG', true);

if(!function_exists(imp_calendar_block_func))
{
	function imp_calendar_block_func()
	{
		global $phpbb_root_path, $phpEx, $template, $images, $lang, $board_config, $userdata, $_GET, $_POST, $_SERVER, $db;
		global $mini_cal_today, $mini_cal_this_month, $mini_cal_this_year, $mini_cal_this_day;
		//global $birthday_week_list, $birthday_today_list;

		include_once($phpbb_root_path.'includes/functions_color_groups.' . $phpEx);

		// Birthday Mod, Show users with birthday
		if (($board_config['birthday_check_day'] > 0) && ($board_config['display_viewonline'] == 2) || ( ($viewcat < 0) && ($board_config['display_viewonline'] == 1) ))
		{
			$cache_data_file = $phpbb_root_path . 'cache/birthday_' . $board_config['board_timezone'] . '.dat';
			if (@is_file($cache_data_file) && empty($SID))
			{
				$valid = (date('YzH',time()) - date('YzH', @filemtime($cache_data_file))<1) ? true : false;
			}
			else
			{
				$valid = false;
			}

			if ($valid )
			{
				include($cache_data_file);
				$birthday_today_list = stripslashes($birthday_today_list);
				$birthday_week_list = stripslashes($birthday_week_list);
			}
			else
			{
				$sql = ($board_config['birthday_check_day']) ? "SELECT user_id, username, user_birthday,user_level FROM " . USERS_TABLE. " WHERE user_birthday!=999999 ORDER BY username" :"";
				if($result = $db->sql_query($sql))
				{
					if (!empty($result))
					{
						$time_now = time();
						$this_year = create_date('Y', $time_now, $board_config['board_timezone']);
						$date_today = create_date('Ymd', $time_now, $board_config['board_timezone']);
						$date_forward = create_date('Ymd', $time_now + ($board_config['birthday_check_day'] * 86400), $board_config['board_timezone']);
						while ($birthdayrow = $db->sql_fetchrow($result))
						{
							$user_birthday2 = $this_year . ($user_birthday = realdate('md', $birthdayrow['user_birthday'] ));
							if ( $user_birthday2 < $date_today )
							{
								$user_birthday2 += 10000;
							}
							if ( ($user_birthday2 > $date_today) && ($user_birthday2 <= $date_forward) )
							{
								// user are having birthday within the next days
								$user_age = ( $this_year . $user_birthday < $date_today ) ? $this_year - realdate ('Y', $birthdayrow['user_birthday']) + 1 : $this_year- realdate ('Y',$birthdayrow['user_birthday']);
								$style_color = color_group_colorize_name($birthdayrow['user_id']);
								//$birthday_week_list .= ' <a href="' . append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=" . $birthdayrow['user_id']) . '" class="gensmall">' . $style_color . ' ('.$user_age.')</a>,';
								$birthday_week_list .= ' ' . $style_color . ' (' . $user_age . '),';
							}
							elseif ( $user_birthday2 == $date_today )
							{
								//user have birthday today
								$user_age = $this_year - realdate ( 'Y',$birthdayrow['user_birthday'] );
								$style_color = color_group_colorize_name($birthdayrow['user_id']);
								//$birthday_today_list .= ' <a href="' . append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=" . $birthdayrow['user_id']) . '" class="gensmall">' . $style_color . ' ('.$user_age.')</a>,';
								$birthday_today_list .= ' ' . $style_color . ' (' . $user_age . '),';
							}
						}
						if ($birthday_today_list)
						{
							$birthday_today_list[ strlen( $birthday_today_list)-1] = ' ';
						}
						if ($birthday_week_list)
						{
							$birthday_week_list[ strlen( $birthday_week_list)-1] = ' ';
						}
					}
					$db->sql_freeresult($result);
					if (empty($SID))
					{
						// stores the data set in a cache file
						$data = "<?php\n";
						$data .= '$birthday_today_list = \'' . addslashes($birthday_today_list) . "';\n";
						$data .= '$birthday_week_list = \'' . addslashes($birthday_week_list) . "';\n?>";
						$fp = fopen($cache_data_file, "w");
						fwrite($fp, $data);
						fclose($fp);
					}
				}
			}
			//$template->assign_block_vars('switch_show_birthday', array());
		}

		$birthday_today_list = stripslashes($birthday_today_list);
		$birthday_week_list = stripslashes($birthday_week_list);
	

		include($phpbb_root_path . 'mods/netclectic/mini_cal/mini_cal.' . $phpEx);

	}
}

imp_calendar_block_func();


?>
